EDIT - bug #7220

Permission Denied in readonly mode of TypeDesignationEditor
01/25/2018 06:54 PM - Andreas Kohlbecker

Target version:

Severity: normal

Status: Worksforme
Priority: New

Assignee: Andreas Kohlbecker
Category: cdm-vaadin

Start date:

Due date:

% Done: 0%
Estimated time: 0:00 hour

Found in Version:

Description

open type from http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/45

Metzeltin & Lange-Bert. in Iconogr. Diatomol. 5. 1998

Registrations

Name: Luticola costei Metzeltin & Lange-Bert.
adin.shared.ui.button.ButtonServerRpc
at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:162)
at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:119)
at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437
Demer River, Guyana (Holotype, (Krasske Praep. 2607c).)

happens when the user is 'submitter' having the PermissionGroups: Submittter + Phycobank_Taxa

com.vaadin.server.ServerRpcManager$SRpcInvocationException: Unable to invoke method click in com.va

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:40

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)
at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlRequestHan

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1436)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j

web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26

eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler.java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler.java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
ava:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:748)
Caused by: java.lang.reflect.InvocationTargetException

at sun.reflect.GeneratedMethodAccessor924.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)
66 more

Caused by: com.vaadin.event.ListenerMethod$MethodException: Invocation of method buttonClick in eu
.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean$$Lambda$98/858368955 failed.

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:533)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)

at com.vaadin.ui.Button.fireClick (Button.java:377)

at com.vaadin.ui.Button$l.click (Button. java:54)

70 more
Caused by: org.springframework.orm.hibernate5.HibernateSystemException: [UPDATE] not permitted for
'gabi' on FieldUnit [uuid:9f2eb630-c7c7-467e-841a-1£f37c92e1d37', toString:'Demerara-River, Guyana'
]; nested exception is eu.etaxonomy.cdm.database.PermissionDeniedException: [UPDATE] not permitted
for 'gabi' on FieldUnit[uuid:9f2eb630-c7c7-467e-841a-1£37c92e1d37', toString:'Demerara-River, Guy

ana']

at org.springframework.orm.hibernateb5.SessionFactoryUtils.convertHibernateAccessException (Sess
ionFactoryUtils.java:219)

at org.springframework.orm.hibernate5.HibernateTransactionManager.convertHibernateAccessExcept
ion (HibernateTransactionManager. java:741)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:589)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Ab
stractPlatformTransactionManager. java:761)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractP
latformTransactionManager. java:730)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfter
Returning (TransactionAspectSupport. java:485)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:291)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$SProxy827.loadDtoByIds (Unknown Source)

at eu.etaxonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenter.loadBean
ById(SpecimenTypeDesignationWorkingsetEditorPresenter. java:123)

at eu.etaxonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenter.loadBean
ById(SpecimenTypeDesignationWorkingsetEditorPresenter. java:59)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.loadInEditor (AbstractPopupEditor.java:539)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.onTypeDesignation
sEditorActionEdit (RegistrationWorkingsetPresenter.java:379)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.context.event.ApplicationListenerMethodAdapter.doInvoke (ApplicationList
enerMethodAdapter. java:227)

at org.springframework.context.event.ApplicationlListenerMethodAdapter.processEvent (Application
ListenerMethodAdapter. java:144)

at org.springframework.context.event.ApplicationListenerMethodAdapter.onApplicationEvent (Appli
cationListenerMethodAdapter.java:106)

at org.springframework.context.event.SimpleApplicationEventMulticaster.invokelistener (SimpleAp
plicationEventMulticaster.java:163)

at org.springframework.context.event.SimpleApplicationEventMulticaster.multicastEvent (SimpleAp
plicationEventMulticaster.java:136)

at org.springframework.context.support.AbstractApplicationContext.publishEvent (AbstractApplica
tionContext.java:381)

at org.springframework.context.support.AbstractApplicationContext.publishEvent (AbstractApplica
tionContext. java:348)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.lambda$putRegistratio
nListComponent$cfffd4fa3$l (RegistrationWorksetViewBean. java:286)

at sun.reflect.GeneratedMethodAccessor925.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)
at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)
75 more

Caused by: eu.etaxonomy.cdm.database.PermissionDeniedException: [UPDATE] not permitted for 'gabi'
on FieldUnit [uuid:9f2eb630-c7c7-467e-841a-1£f37c92e1d37', toString:'Demerara-River, Guyana']

at eu.etaxonomy.cdm.persistence.hibernate.CdmSecurityHibernateInterceptor.checkPermissions (Cdm
SecurityHibernateInterceptor.java:196)

at eu.etaxonomy.cdm.persistence.hibernate.CdmSecurityHibernateInterceptor.onFlushDirty (CdmSecu
rityHibernateInterceptor. java:124)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.invokelInterceptor (DefaultFlush
EntityEventListener. java:348)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.handleInterception (DefaultFlus
hEntityEventListener. java:325)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.scheduleUpdate (DefaultFlushEnt
ityEventListener.java:276)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.onFlushEntity (DefaultFlushEnti
tyEventListener. java:143)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushEntities (AbstractFlushingEv
entListener.java:216)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushEverythingToExecutions (Abst
ractFlushingEventListener. java:85)

at org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. ja
va:38)

at org.hibernate.internal.SessionImpl.flush (SessionImpl.java:1282)

at org.hibernate.internal.SessionImpl.managedFlush (SessionImpl. java:465)

at org.hibernate.internal.SessionImpl.flushBeforeTransactionCompletion (SessionImpl. java:2963)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl. java:2339)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoor
dinatorImpl. java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.beforeCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:231
)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:581)

103 more

History

#1 - 01/25/2018 06:56 PM - Andreas Kohlbecker
- File picture696-1.png added
- Subject changed from Permission Denied in readonly mode of to Permission Denied in readonly mode of TypeDesignationEditor

- Description updated

#2 - 01/31/2018 12:10 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#3 - 01/31/2018 01:25 PM - Andreas Kohlbecker

- Description updated

#4 - 02/15/2018 02:57 PM - Andreas Miuller

- Target version changed from Release 4.14 to Release 5.0

#5 - 04/20/2018 07:10 PM - Andreas Kohlbecker

- Tags changed from phycobank to phycobank, permission

#6 - 05/16/2018 11:20 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#7 - 06/26/2018 12:43 PM - Andreas Kohlbecker
- Status changed from New to Worksforme

- Target version deleted (Release 5.1)

| can not reproduce this issue, it seems as if this has been fixed meanwhile.

Files

picture696-1.png 23.7 KB 01/25/2018 Andreas Kohlbecker
